Bug 40045 - installer fail with minor disk failures
installer fail with minor disk failures
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
: FutureFeature
: 40088 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-05-10 06:12 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-10 16:49:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-05-10 06:12:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.51 [pt] (WinNT; I)

Description of problem:
using a bad media or a bad cd-rom drive to install or upgrade, the system give no chances to correct the problem

How reproducible:

Steps to Reproduce:
1. got a no so good cdrom drive, or a RedHat disk with failures
2. start install or upgrade of a system


Actual Results:  1. when some file fail to load, the install or upgrade process hang, and don't give chances to continue

Expected Results:  at least, try again, unmount and remount the disk, or ask the user to make it work

Additional info:

I was surprised for a mal-functionall CD-ROM drive on a upgrade of RedHat Linux box, the upgrade
hangs at middle, and the system no longer boot-up, it may at least ask me to make the CD-ROM
run, and, in fact, umount and remount solve the problem, in the next boot, I restart the upgrade
and it did everything ok. (oh, I need to fsck manually the partitions, because anaconda just
say me: there are errors in file system, reboot, and don't give chance to correct the problem
and continue)

Somecases, the user may have a backup disk of RedHat Linux, and may replace the media at
Comment 1 Brent Fox 2001-05-10 16:49:17 EDT
I agree that this would be nice, but it's a decent amount of work and I'm not
sure that we would gain very much by doing it.  Usually, when there are problems
reading a file or a package, it's usually because something is wrong with the
installation media (whether that's a cdrom or a network install).  Trying again
wouldn't make any difference in these cases because something is physically
wrong with the media (or hardware).  Also, we get a lot of requests for an
"Abort, Retry, Fail" kind of option if the package appears to be corrupt. 
Again, we can't just allow the user to skip a package because we don't know what
other packages may rely on that one.  For example, if the package in question is
something like glibc or the kernel, skipping that package just shouldn't be
Comment 2 Brent Fox 2001-05-14 15:12:06 EDT
*** Bug 40088 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.